%Vector_DataTypeG.m   

% Copyright C 2004  Thomas A. Jones.  All rights reserved.
% Everyone is granted permission to copy, modify, and redistribute
% this program, but under the condition that this copyright notice
% remain intact and the Computers & Geosciences source be referenced. 
% This software has been tested extensively, but is distributed 
% WITHOUT ANY WARRANTY.  The author does not accept responsibility
% for any possible consequences of using it.

%    Inputs which type of data to use -- external file or data array --
%    via GUI
%    Inputs job title or description

% Returns variable
%   DataTtl      job title or decription 
%   datatype     0=data array    1=external file

% Set up the figure

HDT_GUI = figure;       % Handle to figure window

set(HDT_GUI, 'NumberTitle', 'off', ...
    'Name','Specify data title & type', ...
    'Menubar','none', ...
    'Units','inches',  ...
    'Position', [0.3, 2.5, 4, 2]);

% Set up the entries

HL_TTL = uicontrol(HDT_GUI, 'Style','text', ...
    'Units', 'characters', 'Horizontalalignment','left', ...
    'FontSize',str2num('10'),  'FontUnits','points', ...
    'Position',[10, 11, 60, 2], ...
    'String','Specify brief title/description of job or data');
HT_TTL = uicontrol(HDT_GUI, 'Style','edit', ...
    'Units','characters', 'Horizontalalignment','left', ...
    'FontSize',str2num('10'),  'FontUnits','points', ...
    'Position',[10, 9, 60, 2], ...
    'String', DataTtl, ...
    'Callback','DataTtl = get(HT_TTL,''String'');');

HPush0 = uicontrol(HDT_GUI, 'Style','push', ...
    'Units', 'characters', 'Horizontalalignment','left', ...
    'FontSize',str2num('10'),  'FontUnits','points', ...
    'Position',[10, 4, 18, 3], ...
    'String','Data Array', ...
    'Callback','datatype = str2num(''0'');close');

HPush1 = uicontrol(HDT_GUI, 'Style','push', ...
    'Units', 'characters', 'Horizontalalignment','left', ...
    'FontSize',str2num('10'),  'FontUnits','points', ...
    'Position',[50, 4, 18, 3], ...
    'String','External File', ...
    'Callback','datatype = str2num(''1'');close');

uiwait





